Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### == (equality)

Examples

    int a = 23;
    int b = 23;
    if(a == b) {
      println("variables a and b are equal");
    }

Description | Determines if two values are equivalent. The equality operator is different from the assignment operator. Note that when comparing String objects, you must use the equals() method instead of == to compare their contents. See the reference for String or the troubleshooting note for more explanation.

Syntax

    value1 == value2

Parameters

value1 | int, float, char, byte, boolean
value2 | int, float, char, byte, boolean

Usage | Web & Application
Related | > (greater than) < (less than) >= (greater than or equal to) <= (less than or equal to) != (inequality)

Updated on August 30, 2010 04:29:39pm EDT